enchant();

window.onload = function() {
    var game = new Game(320, 480);
    game.preload(imgStart);
    game.preload(imgEnd);
    game.preload(imgMaru);
    game.preload(imgBatu);

    game.onload = function() {
        //スタート画面表示
        var spStart = new Sprite(320,480);
        spStart.image =game.assets[imgStart];
        game.rootScene.addChild(spStart);
        
        //終了画面表示
        var spEnd = new Sprite(320,480);
        spEnd.image =game.assets[imgEnd];
        spEnd.visible =false;
        game.rootScene.addChild(spEnd);
        
        //
        //
        function spUnvisible(){
            //
        }
        
        //
        //問題数　表示
        var lblNumber = new enchant.Label();
        lblNumber.text = "第1問 ／ " + String(qMax);
        lblNumber.moveTo(0,1);
        lblNumber.width = 120;
        lblNumber.height = 20;
        lblNumber.font = "14px 'Arial'";
        lblNumber.color = "#66f";
        game.rootScene.addChild(lblNumber);

        //得点　表示
        var lblTokuten = new enchant.Label();
        lblTokuten.text = "0点";
        lblTokuten.moveTo(150,1);
        lblTokuten.width = 100;
        lblTokuten.height = 20;
        lblTokuten.font = "14px 'Arial'";
        lblTokuten.color = "#f66";
        game.rootScene.addChild(lblTokuten);
        
        //時間　表示
        var lblTime = new enchant.Label();
        lblTime.text = "Time";
        lblTime.moveTo(250,1);
        lblTime.width = 100;
        lblTime.height = 20;
        lblTime.font = "14px 'Arial'";
        lblTime.color = "#66f";
        game.rootScene.addChild(lblTime);
        
        //lblEnd　表示        
        var lblEnd = new enchant.Label();
        lblEnd.text = "";
        lblEnd.moveTo(30,230);
        lblEnd.width = 250;
        lblEnd.height = 100;
        lblEnd.font = "18px 'Arial'";
        lblEnd.visible = false;
        game.rootScene.addChild(lblEnd);

        //問題文表示
        var question1 = new enchant.Label();
        question1.text = "";
        question1.moveTo(20,25);
        question1.width = 280;
        question1.height = 200;
        question1.font = "18px 'Arial'";
        game.rootScene.addChild(question1);
            
        //選択し表示1        
        var kotae1 = new Button("","blue");
        kotae1.text = "";
        kotae1.moveTo(30,155);
        kotae1.width = 250;
        kotae1.height = 56;
        kotae1.font = "16px 'Arial'";
        kotae1.visible = false;
        game.rootScene.addChild(kotae1);
        
        //選択し表示2        
        var kotae2 = new Button("","blue");
        kotae2.text = "";
        kotae2.moveTo(30,220);
        kotae2.width = 250;
        kotae2.height = 56;
        kotae2.font = "16px 'Arial'";
        kotae2.visible = false;
        game.rootScene.addChild(kotae2);

        //選択し表示3        
        var kotae3 = new Button("","blue");
        kotae3.text = "";
        kotae3.moveTo(30,285);
        kotae3.width = 250;
        kotae3.height = 56;
        kotae3.font = "16px 'Arial'";
        kotae3.visible = false;
        game.rootScene.addChild(kotae3);

        //選択し表示4        
        var kotae4 = new Button("","blue");
        kotae4.text = "";
        kotae4.moveTo(30,350);
        kotae4.width = 250;
        kotae4.height = 56;
        kotae4.font = "16px 'Arial'";
        kotae4.visible = false;
        game.rootScene.addChild(kotae4);
        
        //選択し表示5        
        var kotae5 = new Button("","blue");
        kotae5.text = "";
        kotae5.moveTo(30,415);
        kotae5.width = 250;
        kotae5.height = 56;
        kotae5.font = "16px 'Arial'";
        kotae5.visible = false;
        game.rootScene.addChild(kotae5);

        //もう一度チャレンジボタン        
        var btnReStart = new Button("もう一度<br>チャレンジ","light");
        btnReStart.moveTo(20,350);
        btnReStart.width = 120;
        btnReStart.height = 80;
        btnReStart.font = "18px 'Arial'";
        btnReStart.visible = false;
        game.rootScene.addChild(btnReStart);
        
        //まる
        var spMaru = new Sprite(280,280);
        spMaru.moveTo(20,180);
        spMaru.image =game.assets[imgMaru];
        spMaru.visible = false;
        game.rootScene.addChild(spMaru);

        //ばつ
        var spBatu = new Sprite(280,280);
        spBatu.moveTo(20,200);
        spBatu.image =game.assets[imgBatu];
        spBatu.visible = false;
        game.rootScene.addChild(spBatu);

        //正解の表示        
        var lblSeikai = new enchant.Label();
        lblSeikai.text = "正";
        lblSeikai.moveTo(1,210);
        lblSeikai.width = 30;
        lblSeikai.height = 30;
        lblSeikai.font = "24px 'Arial'";
        lblSeikai.color = "#f00";
        lblSeikai.visible = false;
        game.rootScene.addChild(lblSeikai);
        
        //次の問題
        function nextQuest(){
            lblNumber.visible = true;
            spStart.visible = false;
            spEnd.visible = false;
            spMaru.visible = false;
            spBatu.visible = false;
            lblSeikai.visible = false;
            lblEnd.visible = false;
            kotae1.visible = true;
            kotae2.visible = true;
            kotae3.visible = true;
            kotae4.visible = true;
            kotae5.visible = true;
            btnReStart.visible = false;
            zyun1[0] = Math.random();
            zyun1[1] = Math.random();
            zyun1[2] = Math.random();
            zyun1[3] = Math.random();
            zyun1[4] = Math.random();
            zyun2[0] = 1;
            zyun2[1] = 2;
            zyun2[2] = 3;
            zyun2[3] = 4;
            zyun2[4] = 5;
            toriaezu01 = 0;
            toriaezu02 = 0;
            for (ri =0; ri <= 5; ri++)
                {
                    for (rn =0; rn <= (5-ri); rn++)
                    {
                        if (zyun1[rn] > zyun1[rn + 1])
                        {
                            toriaez01 = zyun1[rn + 1];
                            toriaez02 = zyun2[rn + 1];
                            zyun1[rn + 1] = zyun1[rn];
                            zyun2[rn + 1] = zyun2[rn];
                            zyun1[rn] = toriaez01;
                            zyun2[rn] = toriaez02;
                        }
                    }
                }
            lblNumber.text = "第"+String(qNumber + 1)+"問 ／ " + String(qMax);
            
            if(myData[qNum2[qNumber] * 6].length < 50){
                question1.font = "18px 'Arial'";
            }else{
                question1.font = "16px 'Arial'";
            };
            
            if(myData[zyun2[0] + qNum2[qNumber] * 6].length < 30){
                kotae1.font = "16px 'Arial'";
            }else if(myData[zyun2[0] + qNum2[qNumber] * 6].length < 55){
                kotae1.font = "14px 'Arial'";
            }else{
                kotae1.font = "12px 'Arial'";
            };
            if(myData[zyun2[1] + qNum2[qNumber] * 6].length < 30){
                kotae2.font = "16px 'Arial'";
            }else if(myData[zyun2[1] + qNum2[qNumber] * 6].length < 55){
                kotae2.font = "14px 'Arial'";
            }else{
                kotae2.font = "12px 'Arial'";
            };
            if(myData[zyun2[2] + qNum2[qNumber] * 6].length < 30){
                kotae3.font = "16px 'Arial'";
            }else if(myData[zyun2[2] + qNum2[qNumber] * 6].length < 55){
                kotae3.font = "14px 'Arial'";
            }else{
                kotae3.font = "12px 'Arial'";
            };
            if(myData[zyun2[3] + qNum2[qNumber] * 6].length < 30){
                kotae4.font = "16px 'Arial'";
            }else if(myData[zyun2[3] + qNum2[qNumber] * 6].length < 55){
                kotae4.font = "14px 'Arial'";
            }else{
                kotae4.font = "12px 'Arial'";
            };
            if(myData[zyun2[4] + qNum2[qNumber] * 6].length < 30){
                kotae5.font = "16px 'Arial'";
            }else if(myData[zyun2[4] + qNum2[qNumber] * 6].length < 55){
                kotae5.font = "14px 'Arial'";
            }else{
                kotae5.font = "12px 'Arial'";
            };
            
            question1.text = myData[qNum2[qNumber] * 6];
            kotae1.text = myData[zyun2[0] + qNum2[qNumber] * 6];
            kotae2.text = myData[zyun2[1] + qNum2[qNumber] * 6];
            kotae3.text = myData[zyun2[2] + qNum2[qNumber] * 6];
            kotae4.text = myData[zyun2[3] + qNum2[qNumber] * 6];
            kotae5.text = myData[zyun2[4] + qNum2[qNumber] * 6];
            //

            //問題数の判断
            time2 = game.frame;
            if(qNumber < mMax){
                qNumber = qNumber +1;
            }else{
                lblNumber.visible = false;
                spEnd.visible = true;
                kotae1.visible = false;
                kotae2.visible = false;
                kotae3.visible = false;
                kotae4.visible = false;
                kotae5.visible = false;
                //spUnvisible();
                tokutenFlag = 2;
                question1.text = "";
                lblEnd.visible = true;
                lblEnd.text = "正答数＝ " + String(tokuten)+"問<br><br>"
                            + "正答率＝ " + String(Math.round(tokuten/qNumber*100))+"%";
                btnReStart.visible = true;
                /*
                if(qNumber <qMax){
                    kotae3.text ="さらに続ける？";
                }else{
                    kotae3.text ="";
                };
                kotae4.text ="はじめからする？";
                */
            };
        };
        
        //タッチされたら・・・
        game.rootScene.ontouchstart = function(e){
            if(qNumber ==0){
                //初期画面表示
                spStart.visible = false;
                time2 = game.frame - 60*game.fps;
                
            }else if(tokutenFlag==0){
                //正答移動
                if(zyun2[0]==1){
                    lblSeikai.moveTo(1,175);
                }else if(zyun2[1]==1){
                    lblSeikai.moveTo(1,240);
                }else if(zyun2[2]==1){
                    lblSeikai.moveTo(1,305);
                }else if(zyun2[3]==1){
                    lblSeikai.moveTo(1,370);
                }else if(zyun2[4]==1){
                    lblSeikai.moveTo(1,425);
                };
                //回答処理
                tokutenFlag =1;
                if((155 < e.y)&&(e.y < 220)){
                    if(zyun2[0]==1){
                        spMaru.visible = true;
                        tokuten = tokuten +1;
                    }else{
                        spBatu.visible = true;                   
                    };
                }else if((220 < e.y)&&(e.y < 285)){
                    if(zyun2[1]==1){
                        spMaru.visible = true;
                        tokuten = tokuten +1;
                    }else{
                        spBatu.visible = true;                   
                    };
                }else if((285 < e.y)&&(e.y < 350)){
                    if(zyun2[2]==1){
                        spMaru.visible = true;
                        tokuten = tokuten +1;
                    }else{
                        spBatu.visible = true;                   
                    };
                }else if((350 < e.y)&&(e.y < 415)){
                    if(zyun2[3]==1){
                        spMaru.visible = true;
                        tokuten = tokuten +1;
                    }else{
                        spBatu.visible = true;                   
                    };
                }else if(415 < e.y){
                    if(zyun2[4]==1){
                        spMaru.visible = true;
                        tokuten = tokuten +1;
                    }else{
                        spBatu.visible = true;                   
                    };
                };
                lblTokuten.text = String(tokuten)+"点";
                //正解表示
                lblSeikai.visible = true;
                time2 = game.frame - 58*game.fps;
                
            }else if(tokutenFlag==2){
                //最後の画面の処理
                time2 = game.frame - 60*game.fps;
                tokutenFlag=0
                if(e.y < 300){
                    mMax = mMax +20;
                    if(mMax > qMax){
                        mMax = qMax;
                    }
                }else{
                    qNumber=0;
                    mMax = 20;
                    tokuten = 0;
                    lblTokuten.text = String(tokuten)+"点";
                    mondaiJunSyokika();                    
                };
                
            };
        };
        
        time2 = game.frame;
        
        //時間切れ
        game.rootScene.onenterframe = function(){
            var time = 60 - Math.floor((game.frame -time2) / game.fps);
            lblTime.text ="Time : " + String(time);
            if(time <=0){
                tokutenFlag =0;
                //spUnvisible();
                nextQuest();
            };
        };
        
        
    };
    game.start();
};

